Name:           system-config-rootpassword
Version:        1.99.6
Release:        33%{?dist}
Summary:        A graphical interface for modifying the rootpassword

License:        GPL-1.0-or-later
URL:            http://fedora.redhat.com/
# This is hosted at ssh://svn.fedorahosted.org/svn/system-config-rootpassword
# Anonymous access is http://svn.fedorahosted.org/svn/system-config-rootpassword
# The tarball is generated by 'make dist', see Makefile for more info
Source0:        %{name}-%{version}.tar.gz
Patch1:         system-config-rootpassword-python3.patch

BuildRequires: make
BuildRequires:  gettext intltool
BuildRequires:  desktop-file-utils
Requires:       usermode >= 1.36
Requires:       libuser-python3 >= 0.49
Requires:       python3-pwquality
Requires:       python3-newt
Requires:       usermode-gtk

BuildArch:      noarch
Obsoletes:      redhat-config-rootpassword
Provides:       redhat-config-rootpassword = %{version}

%description
A graphical user interface that allows the user to change the root password
of the system.


%prep
%setup -q
%patch -P1 -p1 -b .python3


%build
make %{?_smp_mflags}


%install
make INSTROOT=%{buildroot} install

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
        --vendor=fedora --delete-original  \
%endif
        --dir %{buildroot}%{_datadir}/applications   \
        %{buildroot}%{_datadir}/applications/system-config-rootpassword.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/system-config-rootpassword
%dir %{_datadir}/system-config-rootpassword
%{_datadir}/system-config-rootpassword/*
%{_datadir}/firstboot/modules/rootpassword.py*
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-system-config-rootpassword.desktop
%else
%{_datadir}/applications/system-config-rootpassword.desktop
%endif
%{_datadir}/icons/hicolor/48x48/apps/system-config-rootpassword.png
%config %{_sysconfdir}/security/console.apps/system-config-rootpassword
%config(noreplace) %{_sysconfdir}/pam.d/system-config-rootpassword
%doc COPYING AUTHORS


%changelog
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Miroslav Suchý <msuchy@redhat.com> - 1.99.6-31
- convert license to SPDX

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Tomáš Mráz <tmraz@redhat.com> - 1.99.6-21
- Apply patch from nvwarr@hotmail.com to make it work with Python3

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Mar 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.99.6-17
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.99.6-15
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 1.99.6-9
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.99.6-7
- Remove --vendor from desktop-file-install on F19+ https://fedorahosted.org/fesco/ticket/1077

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.99.6-2
- recompiling .py files against Python 2.7 (rhbz#623405)

* Mon Sep 14 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.99.6-1
- Update to latest upstream codebase
- Drop rhpl dependency

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.99.4-3
- Rebuild for Python 2.6

* Wed Oct 22 2008 Lubomir Rintel <lkundrak@v3.sk> - 1.99.4-2
- Add usermode-gtk dependency (#467922)

* Wed Apr 02 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.4-1
- Translations update

* Mon Jan 21 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.3-2
- Add dependency on cracklib (#428880)

* Tue Dec 18 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.3-1
- New version to address various issues to pass the review #226467

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.2-1
- New versions, with two new translations and more correct desktop file
- pygtk2 is actually not needed, s-c-r happily runs in text mode

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.0-1
- Bump version

* Tue Nov 20 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.1.10-5
- Major SPEC file cleanup (#226467)

* Fri Sep  7 2007 Matthias Clasen <mclasen@redhat.com> - 1.1.10-4
- Fix menu categories

* Thu Aug 23 2007 Pete Graner <pgraner@redhat.com> - 1.1.10-3
- Rebuild

* Tue Aug 21 2007 Pete Graner <pgraner@redhat.com> - 1.1.10-2
- Updated License tag to conform with Fedora License Guidlines.

* Mon Oct 30 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.10-1
- Remove preun
- Improve user interface based on patch from Damien Durand (#203667)

* Mon Jun 26 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.9-1
- Rebuild for translations

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Oct 24 2005 Paul Nasrat <pnasrat@redhat.com> - 1.1.8-1
- pam_stack deprecated (#170641)
- compiled python

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 1.1.7-2
- silence %%post

* Fri Apr 01 2005 Paul Nasrat <pnasrat@redhat.com> 1.1.7-1
- PyGTK deprecations
- Translations

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 1.1.6-2
- Update the GTK+ theme icon cache on (un)install

* Fri Oct 01 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.6-1
- Pull in translations

* Tue Sep 07 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.5-1
- translatable desktop

* Mon Sep 06 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.4-1
- PyGTK API changes

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1.1.3-1
- fix firstboot module symlink

* Fri Dec  5 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- apply patch from bug #111423

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.1.1-1
- fix path problem in startup script

* Mon Nov 10 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- rename from redhat-config-rootpassword to system-config-password
- add Obsoletes for redhat-config-rootpassword
- make passwordDialog.py able to have a user passed into it other than root
- rename rootpassword.py to passwordDialog.py

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.6-2
- bump release number

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- add Requires for rhpl (bug #104216)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- add a BuildRequires on gettext

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- use rhpl's translation modules

* Fri Mar  7 2003 Brent Fox <bfox@redhat.com> 1.0.2-6
- bump rev for 3.0E

* Fri Feb 28 2003 Brent Fox <bfox@redhat.com> 1.0.2-5
- catch gtk import exception (bug #85348)

* Thu Feb 20 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- update translations in desktop files

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 1.0.2-3
- check return value of self.apply()

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-2
- fix desktop file icon path

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-1
- bump and build

* Tue Jan 28 2003 Brent Fox <bfox@redhat.com> 1.0.1-5
- install pixmap to correct location
- make code more similar to firstboot in launch()

* Fri Nov 15 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- fix bug 77932

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Pam path changes

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- rebuild for translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- connect window to destroy signal

* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.0-1
- Make desktop file UTF-8 encoded

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull translations into desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- Replace System with SystemSetup in desktop file categories

* Tue Aug 06 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Set a window title

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- got a new icon

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fixed desktop file (bug #69481)

* Fri Jul 19 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- pulled in new translations and rebuild

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Move the debug parameter to launch
- Add snapsrc to Makefile

* Tue May 14 2002 Brent Fox <bfox@redhat.com> 0.2.0-3
- Added a debug mode

* Mon May 13 2002 Brent Fox <bfox@redhat.com>
- Don't call gtk.mainquit() in apply

* Wed Nov 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

